package com.pj.ht_pass_card_record;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: ht_pass_card_record -- 过卡记录表
 * @author yzs 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HtPassCardRecordService extends ServiceImpl<HtPassCardRecordMapper, HtPassCardRecord> implements IService<HtPassCardRecord>{

	/** 底层 Mapper 对象 */
	@Autowired
	HtPassCardRecordMapper htPassCardRecordMapper;

	/** 增 */
	void add(HtPassCardRecord h){
		save(h);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(HtPassCardRecord h){
		updateById(h);

	}

	/** 查 */
	HtPassCardRecord getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<HtPassCardRecord> getList(SoMap so) { 
		return htPassCardRecordMapper.getList(so);	
	}
	

}
